ros-jazzy-ur-client-library (2.11.0-1noble) noble; urgency=high

  * Remove programs.UR5 linking to /ursim/programs (#500 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/500>)
  * Fix data race (#498 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/498>)
  * Fix flaky reverse_interface test (#497 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/497>)
  * Add getKinematicsInfo accessor to PrimaryClient (#496 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/496>)
  * Make downloading and checking RTDE outputs from docs optional (#493 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/493>)
  * Add helper function to get robot series (#488 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/488>)
  * Make sure motion control returns to main thread before stopping (#490 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/490>)
  * Fix broken links (#487 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/487>)
  * Contributors: Felix Exner, Nick Franczak

 -- "Felix Exner" <feex@universal-robots.com>  Mon, 04 May 2026 22:00:00 -0000

ros-jazzy-ur-client-library (2.10.0-1noble) noble; urgency=high

  * [primary] Add new fields to ConfigurationData object (#485 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/485>)
  * Fix traj point time precision (#482 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/482>)
  * Add parsing of safety mode messages to the primary interface (#480 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/480>)
  * Capitalize constexpr variables in direct torque example (#481 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/481>)
  * tool_communication.py: Add error handling for non-existing parent (#477 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/477>)
  * Fix rtde client shutdown (#474 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/474>)
  * Contributors: Felix Exner, URJala, dependabot[bot]

 -- "Felix Exner" <feex@universal-robots.com>  Thu, 16 Apr 2026 22:00:00 -0000

ros-jazzy-ur-client-library (2.9.0-1noble) noble; urgency=high

  * [RTDEClient] stop producer on destruction (#472 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/472>)
  * Primary Client power on improvements (#473 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/473>)
  * Move TCPServer disconnection log events from Info to Debug (#471 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/471>)
  * Refactor tool communication into standalone socat initialization script (#470 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/470>)
  * Contributors: Felix Exner, JohnN193, Rune Søe-Knudsen, Sergi Romero

 -- "Felix Exner" <feex@universal-robots.com>  Thu, 26 Mar 2026 23:00:00 -0000

ros-jazzy-ur-client-library (2.8.0-1noble) noble; urgency=high

  * Improve cleanup of trajectory buffer  (#466 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/466>)
  * Fix documentation of direct_torque example (#467 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/467>)
  * Direct torque friction scales support (#445 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/445>)
  * If no new commands are received, halt (#440 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/440>)
  * Add check to make sure that program name and save path is specified w… (#447 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/447>)
    …hen downloading program.
  * Update gtest to fix MacOS build warnings (#464 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/464>)
  * Fix windows compile warnings (#451 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/451>)
    Fix windows compile warnings and from now all warnings are treated as errors.
  * Fix setGravity comments to be correct directionality (#462 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/462>)
  * Robustify TCPServer implementation for thread safety and windows support (#458 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/458>)
  * Add implementation of creating ExampleRobotWrapper with recipe vectors (#456 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/456>)
  * Rename endian.h to portable_endian.h (#442 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/442>)
  * [primary] Print a warning on additional data in RobotState submessages (#460 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/460>)
  * Replace TEST with TEST_F to ensure teardown (#459 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/459>)
  * [start_ursim.sh] Do not remove trailing "e" for PolyScope X (#461 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/461>)
  * Add doxygen to new dashboard X calls (#455 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/455>)
  * Improve socket connection robustness in external_control.urscript (#453 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/453>)
  * Fix filesystem linking on GCC 8 and add RHEL CI workflow (#454 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/454>)
  * Fix flakyness in ReverseInterfaceTest.handle_program_state (#430 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/430>)
  * Added ScriptCommandInterface command setTcpOffset (#444 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/444>)
  * Refactor rtde parsing for RT and performance improvements (#419 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/419>)
  * Contributors: AdamPettinger, David Karlsböck, Felix Exner, Rune Søe-Knudsen, Sergi Romero, URJala, dependabot[bot]

 -- "Felix Exner" <feex@universal-robots.com>  Thu, 19 Mar 2026 23:00:00 -0000

ros-jazzy-ur-client-library (2.7.0-1noble) noble; urgency=high

  * Add more RobotAPI commands to PolyScope X Dashboard Client (#435 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/435>)
  * [RTDE client] Test reconnect (#433 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/433>)
  * [TCPServer] Close all filedescriptors on shutdown (#432 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/432>)
  * [primary interface] More robot messages (#429 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/429>)
  * Fix instruction executor idle (#424 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/424>)
  * [primary interface] Fix parsing of primary messages (#426 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/426>)
  * [primary interface] Add KeyMessage parsing (#428 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/428>)
  * Add test for VersionMessage (#427 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/427>)
  * Add two new RTDE fields (#420 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/420>)
    Add fields
    - target_gravity
    - target_base_acceleration
  * Allow updating robot gravity (#415 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/415>)
  * Do not disconnect dashboard_client on read timeout (#414 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/414>)
  * Added support for std::vector strings in UrDriver (#408 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/408>)
  * Contributors: AdamPettinger, Felix Exner, Pablo David Aranda Rodriguez, dependabot[bot]

 -- "Felix Exner" <feex@universal-robots.com>  Tue, 17 Feb 2026 23:00:00 -0000

ros-jazzy-ur-client-library (2.6.1-1noble) noble; urgency=high

  * Ignore lists.apple link in link check (#411 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/411>)
  * Bump actions/checkout from 5 to 6 (#412 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/412>)
  * [Doc] Remove beta statement for External Control URCapX (#407 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/407>)
  * Updated version check, as 5.23 has been released
  * Initialize dashboard client for PolyScopeX version 10.11.0 and above (#409 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/409>)
  * Explicitly list PolyScope X compatibility (#402 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/402>)
  * Contributors: Felix Exner, Mads Holm Peters, dependabot[bot]

 -- "Felix Exner" <feex@universal-robots.com>  Sun, 30 Nov 2025 23:00:00 -0000

ros-jazzy-ur-client-library (2.6.0-1noble) noble; urgency=high

  * RTDEClient sendStart handle missed confirmation (#403 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/403>)
  * Add enum value for 3PE input active to UrRtdeSafetyStatusBits (#401 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/401>)
  * Save polyscope folder in local filesystem (#399 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/399>)
  * Succeed power on command on PolyScope 5 when robot is running (#397 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/397>)
  * Bump actions/upload-artifact from 4 to 5 (#398 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/398>)
  * Contributors: Andrew C. Morrow, Felix Exner, dependabot[bot]

 -- "Felix Exner" <feex@universal-robots.com>  Sun, 09 Nov 2025 23:00:00 -0000

ros-jazzy-ur-client-library (2.5.0-1noble) noble; urgency=high

  * Polyscopex dashboard client (#392 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/392>)
  * Use enable_external_ft_sensor on old software versions (#395 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/395>)
  * Rtde external ft (#388 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/388>)
  * Fixed auto reconnection to the RTDE server. (#384 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/384>)
  * Refactor Rtde client test (#389 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/389>)
  * Add release.yml for auto-generated changelogs (#391 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/391>)
  * Allow an empty input recipe to the RTDE client (#318 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/318>)
  * Contributors: Felix Exner, Mads Holm Peters, URJala

 -- "Felix Exner" <feex@universal-robots.com>  Thu, 23 Oct 2025 22:00:00 -0000

ros-jazzy-ur-client-library (2.4.0-1noble) noble; urgency=high

  * UR18 support (#387 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/387>)
  * Remove output_bit_register_0...63 and input_bit_register_0..63 from RTDE list (#385 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/385>)
  * Set force mode parameters from config (#383 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/383>)
  * Direct torque control (#381 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/381>)
  * Update RTDE list to include new fields (#380 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/380>)
  * Add const qualifier to get functions and changed map value retrieval to at() function (#379 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/379>)
  * Contributors: Dominic Reber, Felix Exner, Pablo David Aranda Rodriguez, URJala

 -- "Felix Exner" <feex@universal-robots.com>  Sun, 12 Oct 2025 22:00:00 -0000

ros-jazzy-ur-client-library (2.3.0-1noble) noble; urgency=high

  * Install endian header on Windows and Apple only (#372 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/372>)
  * Add support for UR8 LONG (#375 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/375>)
  * Change ubuntu manpage link from bionic to noble (#374 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/374>)
  * Bump actions/setup-python from 5 to 6 (#373 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/373>)
  * Add possibility to register multiple callbacks to ReverseInterface and TrajectoryPointInterface (#359 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/359>)
  * Contributors: Felix Exner, dependabot[bot]

 -- "Felix Exner" <feex@universal-robots.com>  Sun, 14 Sep 2025 22:00:00 -0000

ros-jazzy-ur-client-library (2.2.0-1noble) noble; urgency=high

  * Remove print statement when executing optimovel primitives (#365 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/365>)
  * Remove SDK version mapping (#355 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/355>)
  * Support optimove motions in InstructionExecutor (#354 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/354>)
  * Initialize ReverseInterface with a config struct (#351 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/351>)
  * Join thread_move instead of killing it (#349 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/349>)
  * Fix external_control urcapx version to 0.1.0 for PolyScope 10.7.0 (#350 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/350>)
  * Contributors: Felix Exner

 -- "Felix Exner" <feex@universal-robots.com>  Sun, 20 Jul 2025 22:00:00 -0000

ros-jazzy-ur-client-library (2.1.0-1noble) noble; urgency=high

  * Minimal support for building on macOS (#341 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/341>)
  * Install endian.h and add that to the target include directories on Windows and MacOS (#345 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/345>)
  * Add ScriptReader for script template parsing (#343 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/343>)
  * Add more tests for VersionInformation (#344 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/344>)
  * Fix driver branch for Jazzy downstream build (#339 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/339>)
  * Stop control, when UrDriver object is destroyed (#338 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/338>)
  * Add new robot types to URSim startup script (#331 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/331>)
  * Fix robot message type POPUP (#335 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/335>)
  * Disable checking links for two broken ones (#333 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/333>)
  * readme: load ROSin imgs from press_kit repository (#334 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/334>)
  * Added configuration data to packages parsed from the primary interface (#327 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/327>)
  * Correct message sum in test_tool_contact (#324 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/324>)
  * Fix the image sizes in architecture section (#321 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/321>)
  * Check links using lychee (#319 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/319>)
  * Update ROS distributions for industrial_ci (#317 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/317>)
  * Support PolyScopeX simulator for 10.8.0 (#315 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/315>)
  * Add an API reference page to the docs (#314 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/314>)
  * Update documentation (#309 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/309>)
  * Contributors: Andrew C. Morrow, Felix Exner, G.A. vd. Hoorn, Mads Holm Peters

 -- "Felix Exner" <feex@universal-robots.com>  Tue, 17 Jun 2025 22:00:00 -0000

ros-jazzy-ur-client-library (2.0.0-1noble) noble; urgency=high

  * Add functionality to send MoveP and MoveC instructions to the robot (#303 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/303>)
  * Fix naming issues (#307 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/307>)
  * Add more tests for start_ursim.sh (#305 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/305>)
  * [start_ursim.sh] Use direct web pages instead of GitHub API to download URCap (#308 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/308>)
  * Fix typo in freedrive example document (#304 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/304>)
  * Always download and install the latest URCap(X) if not present (#301 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/301>)
  * Document robot setup for PolyScope X (#302 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/302>)
  * Bump bats-core/bats-action from 3.0.0 to 3.0.1 (#300 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/300>)
  * Polyscope x integration tests (#295 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/295>)
  * Contributors: Felix Exner, dependabot[bot], xndcn

 -- "Felix Exner" <feex@universal-robots.com>  Tue, 15 Apr 2025 22:00:00 -0000

ros-jazzy-ur-client-library (1.9.0-1noble) noble; urgency=high

  * Make start_ursim.sh support polyscopex (#294 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/294>)
  * Reduce usage of dashboard client in tests and examples (#296 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/296>)
  * Try catch RTDE setup (#285 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/285>)
  * add missing headers (#290 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/290>)
  * PrimaryClient: Add methods to unlock protective stop and stop the program (#292 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/292>)
  * Set increased timeout in dashboard client test (#293 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/293>)
  * Do not print a warning when querying the dashboard server for a running program (#287 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/287>)
  * Primary client power on (#289 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/289>)
  * Contributors: Andrei Kholodnyi, Dominic Reber, Felix Exner

 -- "Felix Exner" <feex@universal-robots.com>  Thu, 27 Mar 2025 23:00:00 -0000

ros-jazzy-ur-client-library (1.8.0-1noble) noble; urgency=high

  * Remove unused variables (#288 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/288>)
  * Remove direct primary and secondary stream from UrDriver (#283 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/283>)
  * Configure gcovr to ignore negative hits as errors (#284 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/284>)
  * Add an explicit CMake option to turn on/off integration tests (#282 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/282>)
  * instruction_executor: Allow canceling an instruction (#281 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/281>)
  * instruction_executor: fix movel test (#280 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/280>)
  * Fix buffer order of acceleration and velocity (#279 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/279>)
  * Support compilation on Windows (#229 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/229>)
  * Contributors: Felix Exner, VDm

 -- "Felix Exner" <feex@universal-robots.com>  Sun, 16 Mar 2025 23:00:00 -0000

ros-jazzy-ur-client-library (1.7.1-1noble) noble; urgency=high

  * Fix trajectory result in trajectory forward mode when no trajectory is running (#276 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/276>)
  * Remove sending an idle command in quintic spline test (#275 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/275>)
  * In servo mode always allow targets close to current pose (#273 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/273>)
  * Contributors: Felix Exner

 -- "Felix Exner" <feex@universal-robots.com>  Mon, 24 Feb 2025 23:00:00 -0000

ros-jazzy-ur-client-library (1.7.0-1noble) noble; urgency=high

  * Make UrDriver tests run without ctest (#270 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/270>)
  * UrDriver: Send program in headless mode after creating trajectory and script_command servers (#271 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/271>)
  * Improve limit check (#256 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/256>)
  * Use colored log output and timestamps in default log handler (#267 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/267>)
  * Parametrize reconnection time for UrDriver (#266 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/266>)
    Co-authored-by: Dominic Reber <mailto:71256590+domire8@users.noreply.github.com>
  * Fix DashboardClient load program from subdir (#269 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/269>)
  * Increase dashboard timeout in ExampleRobotWrapper to 10s
  * Disable internal deprecation warning
  * Use a config struct for initializing UrDriver (#264 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/pull/264>)
  * Use ExampleRobotWrapper for initialization in all examples (#265 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/265>)
  * Enable nightly CI jobs (#263 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/263>)
  * Expose diagnostic error codes (#225 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/225>)
  * RTDEClient: pause and stop in destructor only if running (#257 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/257>)
  * Use coverage flags to distinguish between runs (#261 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/261>)
  * Fix branch name for integration tests run on push (#262 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/262>)
  * Add codecov/test-results-action (#260 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/260>)
  * Fix GH edit URL for trajectory_point_interface example (#259 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/259>)
  * Update URL check
  * Show which example is running in run_examples.sh
  * Add documentation for all examples (#258 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/pull/258>)
  * Update RT setup documentation to point to urcl docs
  * Use EXPECT_NEAR vs EXPECT_EQ
  * Fix typo in start_ursim.sh help
  * Make CI capable to run with urcap
  * Use ExampleRobotWrapper in integration tests (#252 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/pull/252>)
  * Add a wrapper to handle all robot setup (#252 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/pull/252>)
  * Allow clang-format to indent preprocessor directives (#246 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/246>)
  * docs: Clarify that the motion functions use script functions for execution (#255 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/255>)
  * Update link to sphinx-doc.org using https (#247 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/247>)
  * Use joint speed for extrapolation rather than differences (#254 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/254>)
  * Move setup instructions to ur_client_library (#248 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/248>)
  * Add more information about acceleration/velocity parametrization in trajectory examples (#251 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/251>)
  * Contributors: Felix Exner, Rune Søe-Knudsen, jessica-chen-ocado, Dominic Reber

 -- "Felix Exner" <feex@universal-robots.com>  Tue, 18 Feb 2025 23:00:00 -0000

ros-jazzy-ur-client-library (1.6.0-1noble) noble; urgency=high

  * Do not throw exception in DashboardClient::sendRequest (#249 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/249>)
  * Add instruction executor for high-level robot control (#242 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/242>)
  * Modernize cmake (#244 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/244>)
  * Update links to dashboard server documentation (#243 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/243>)
  * Trajectory point velocities and example (#241 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/241>)
  * Updated documentation (#228 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/228>)
  * Update ci (#239 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/239>)
  * Enable force mode compatibility with various move types (#230 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/230>)
  * Update package maintainers (#238 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/238>)
  * Bump codecov/codecov-action from 3 to 5 (#234 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/234>)
  * Remove the not regarding MIT license (#237 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/237>)
  * Bump pre-commit/action from 3.0.0 to 3.0.1 (#236 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/236>)
  * Bump actions/checkout from 1 to 4 (#232 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/232>)
  * Bump actions/setup-python from 4 to 5 (#235 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/235>)
  * Bump actions/upload-artifact from 3 to 4 (#233 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/233>)
  * Add dependabot configuration to update actions (#231 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/231>)
  * Contributors: Felix Exner, Rune Søe-Knudsen, dependabot[bot]

 -- "Felix Exner" <feex@universal-robots.com>  Wed, 22 Jan 2025 23:00:00 -0000

ros-jazzy-ur-client-library (1.5.0-1noble) noble; urgency=high

  * Adapt RTDE output recipe based on robot response (#221 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/221>)
  * CI: Fix flaky example runs (#223 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/223>)
  * Giving force mode parameters as arguments when calling startForceMode (#208 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/208>)
  * Add more arguments to start_ursim.sh (#220 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/220>)
  * Tcp socket improvements (#222 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/222>)
  * Added family photo to readme (#219 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/219>)
  * Add missing algorithm include (#214 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/214>)
  * Added missing RTDE data packages and fixed incorrect names (#213 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/213>)
  * Contributors: Felix Exner, Remi Siffert, URJala

 -- "Felix Exner" <exner@fzi.de>  Sun, 24 Nov 2024 23:00:00 -0000

ros-jazzy-ur-client-library (1.4.0-1noble) noble; urgency=high

  * Ensure that the targets are reachable within the robots limits (#184 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/184>)
  * Analog domain (#211 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/211>)
  * Fix clang compilation error (#210 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/210>)
  * Moved reset of speed slider to correct teardown function, so that it … (#206 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/206>)
    …resets between each test.
  * [doc] Fix syntax in example.rst (#207 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/207>)
  * [doc] Migrate documentation to sphinx (#95 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/95>)
  * Contributors: Felix Exner, Mads Holm Peters, Remi Siffert, URJala

 -- "Felix Exner" <exner@fzi.de>  Mon, 09 Sep 2024 22:00:00 -0000

ros-jazzy-ur-client-library (1.3.7-1noble) noble; urgency=high

  * [ci] Update CI
    * Run downstream tests for ICI
    * Correctly name jobs
    * Test Jazzy driver
  * [start_ursim] Add program directory at correct location also when no model is provided
  * [start_ursim] Always check ursim version for compatibility
  * [start_ursim] Use a program folder per model
  * [ci] Update distros for prerelease test
  * Contributors: Felix Exner, Vincenzo Di Pentima

 -- "Felix Exner" <exner@fzi.de>  Sun, 02 Jun 2024 22:00:00 -0000

ros-jazzy-ur-client-library (1.3.6-1noble) noble; urgency=high

  * Changed spline interpolation to use the last commanded joint velocity… (#195 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/195>)
  * Contributors: Mads Holm Peters, Rune Søe-Knudsen

 -- "Felix Exner" <exner@fzi.de>  Wed, 03 Apr 2024 22:00:00 -0000

ros-jazzy-ur-client-library (1.3.5-1noble) noble; urgency=high

  * Add support for UR30 in start_ursim.sh (#193 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/193>)
  * Add header guard to datatypes.h (#189 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/pull/189>)
  * Remove duplicated entry in clang-format file (#188 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/pull/188>)
  * Wait after docker kill to prevent name conflicts (#187 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/187>)
  * Contributors: Felix Exner, Robert Wilbrandt

 -- "Felix Exner" <exner@fzi.de>  Thu, 22 Feb 2024 23:00:00 -0000

ros-jazzy-ur-client-library (1.3.4-1noble) noble; urgency=high

  * Make depreaction warning for keepalive_counter a warning instead of error (#182 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/182>)
  * Added watchdog configuration for the reverse socket (#178 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/178>)
  * Add support for ur20 in start_ursim script (#179 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/179>)
  * Use pre-commit for clang-format (#175 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/175>)
  * Make tcp_server retry binding the socket (#176 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/176>)
  * Contributors: Felix Exner, Mads Holm Peters

 -- "Felix Exner" <exner@fzi.de>  Thu, 21 Sep 2023 22:00:00 -0000

ros-jazzy-ur-client-library (1.3.3-1noble) noble; urgency=high

  * Add support for setting socket max num tries and reconnect timeout (#172 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/172>)
  * Unify socket open (#174 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/174>)
  * Added handling of spline interpolation with end point velocities (#169 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/169>)
  * Throws exception if the URScript file doesn't exists (#173 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/173>)
  * Added check to ensure receive timeout isn't overwritten (#171 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/171>)
  * Added RTDEClient constructor with vector recipes (#143 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/143>)
  * Only warn if system is not setup for FIFO scheduling (#170 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/170>)
  * Ensuring that the Timestamp is always in the output recipe (#168 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/168>)
  * CI: Add Iron to CI tests (#167 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/167>)
  * Add issue templates for bugs and features (#166 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/166>)
  * Updated license (#164 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/164>)
  * Bugfixes for spline interpolation (#162)
    
    Add separate rounding in the conversion from float to int32
    
    Add more debug printout for splines
    
    Add Copying flight reports if CI fails
    
    Update ursim mininum version in start_ursim.sh
  * Fix the prerelease ci for Melodic (#163 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/163>)
  * Contributors: Dag-Are Trydal, Felix Exner, Felix Exner (fexner), Mads Holm Peters, Michael Eriksen, RobertWilbrandt, Rune Søe-Knudsen, urmahp, urrsk

 -- "Felix Exner" <exner@fzi.de>  Mon, 04 Sep 2023 22:00:00 -0000

ros-jazzy-ur-client-library (1.3.2-1noble) noble; urgency=high

  * Add a cmake option to activate address sanitizers (#146 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/146>)
  * Install start ursim (#155 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/155>)
  * Add spline interpolation on robot (#151 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/151>)
  * Add codecov.yml to exclude test and examples folders (#152 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/152>)
  * Make URSim log files available as artifacts also for the CI-industrial (#153 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/153>)
  * Remove Foxy from CI
  * Add a script to run the examples instead of run-parts
  * Add SaveLog command to the Dashboard client
  * Make URSim log files available as artifacts
  * Specifically set RTDE pipeline producer to FIFO scheduling (#139 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/139>)
  * Added support for force_mode, freedrive and tool contact (#138 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/138>)
  * Docs: Update link to ros_industrial_cmake_boilerplate
  * Added tests for the comm classes (#129 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/129>)
  * Changed num_retries from static to an unsigned int (#136 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/136>)
  * Build downstream humble version from humble branch (#132 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/132>)
  * Contributors: Felix Exner, Mads Holm Peters, Rune Søe-Knudsen, Robert Wilbrandt

 -- "Felix Exner" <exner@fzi.de>  Wed, 12 Jul 2023 22:00:00 -0000

ros-jazzy-ur-client-library (1.3.1-1noble) noble; urgency=high

  * CI: Add a prerelease check that calls bloom-generate (#134 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/134>)
  * Contributors: Felix Exner

 -- "Felix Exner" <exner@fzi.de>  Tue, 29 Nov 2022 23:00:00 -0000

ros-jazzy-ur-client-library (1.3.0-1noble) noble; urgency=high

  * Dashboard commands, Docker Image and CI step for running the examples #127 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/127>
  * Added tests for the rtde interface clasess (#125 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/125>)
  * Fix unique_ptr type (#124 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/124>)
  * Fix 'BEGIN_REPLACE' - used in tool_communication (copy #101 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/101>) (#120 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/120>)
    (cherry picked from commit f7ce9f73181848f3957c660647fac0e5325862b9)
    Co-authored-by: rxjia <mailto:60809735+rxjia@users.noreply.github.com>
  * Contributors: Felix Exner, Mads Holm Peters, RobertWilbrandt, Rune Søe-Knudsen, mergify[bot], urmarp, urrsk

 -- "Felix Exner" <exner@fzi.de>  Sun, 27 Nov 2022 23:00:00 -0000

ros-jazzy-ur-client-library (1.2.0-1noble) noble; urgency=high

  * Initialized receive timeout and changed exception to warning (#118 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/118>)
  * Added tests for the control interface classes (#112 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/112>)
  * Added note about Polyscope version requirement
  * Added tcp_offset
  * Added interface for forwarding script commands to the robot, that is … (#111 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/111>)
  * Fixed parsing of incomming packages when using rtde protocol v1 (#114 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/114>)
    The received rtde packages should be parsed slightly different whether we use protocol v1 or v2.
  * Add codecov step (#116 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/116>)
  * Added humble build
  * Fixed downstream test instructions
  * Update atomicops.h (#117 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/117>)
    Fix the url in the comment regarding POSIX semaphores to fix error in the CI
  * Make the read during boot depend on the frequency of the robot controller (#102 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/102>)
  * Ignore debian folder in check_links (#100 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/100>)
    Otherwise this job raises an error in the release repository.
  * Contributors: Felix Exner, Mads Holm Peters, Rune Søe-Knudsen, urmahp, urmarp

 -- "Felix Exner" <exner@fzi.de>  Mon, 03 Oct 2022 22:00:00 -0000

ros-jazzy-ur-client-library (1.1.0-1noble) noble; urgency=high

  * Support starting the driver, before the robot is booted (#98 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/98>)
  * Clear the queue when consumer reads from it (#96 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/96>)
  * Fix build with newer glibc
  * Doxygen check (#77 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/77>)
  * Added target_frequency to RTDEClient (#85 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/85>)
  * Removed console_bridge dependency (#74 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/74>)
  * Added "On behalf of Universal Robots A/S" notice (#81 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/81>)
    to all files that have been created by FZI
  * Always install package.xml file (#78 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/78>)
  * register package with ament index
  * Corrected smaller doxygen errors
  * Added rosdoc_lite check
  * Contributors: Cory Crean, Felix Exner, Jørn Bersvendsen, Mads Holm Peters, Martin Jansa, Stefan Scherzinger

 -- "Felix Exner" <exner@fzi.de>  Thu, 21 Apr 2022 22:00:00 -0000

ros-jazzy-ur-client-library (1.0.0-1noble) noble; urgency=high

  * Added Cartesian streaming interface #75 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/75>
  * Added trajectory forwarding interface #72 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/72>
  * Refactored Reverse interface #70 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/70> from fmauch/refactor_reverse_interface
  * Added option for robot_ip as runtime argument for rtde_test (#71 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/71>)
  * Added reverse_ip parameter (#52 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/52>)
  * Move calibration check out of constructor. #65 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/65> from fmauch/calibration_check_optional
  * Install the resources folder instead of the script file directly (#62 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/62>)
  * Use a non-blocking tcp server for the ReverseInterface and ScriptSender. #46 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/46> from fmauch/tcp_server
  * Added LogHandler #40 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/40> from urmahp/logging_feature
  * Fixed links in README (#35 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/35>)
  * Contributors: Felix Exner, G.A. vd. Hoorn, JS00000, Lennart Puck, Mads Holm Peters, Tristan Schnell

 -- "Felix Exner" <exner@fzi.de>  Thu, 17 Jun 2021 22:00:00 -0000

ros-jazzy-ur-client-library (0.1.1-1noble) noble; urgency=high

  * readme: missing whitespace
  * Further elaborated license statements in README
  * Install package.xml when built with catkin support
  * Contributors: Felix Exner, G.A. vd. Hoorn

 -- "Felix Exner" <exner@fzi.de>  Mon, 14 Sep 2020 22:00:00 -0000

ros-jazzy-ur-client-library (0.1.0-1noble) noble; urgency=high

  * initial standalone release

 -- "Felix Exner" <exner@fzi.de>  Thu, 10 Sep 2020 22:00:00 -0000


